/**
 * Copyright (c) 2004 - 2010 Eike Stepper (Berlin, Germany) and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *    Andre Dietisheim - initial API and implementation
 *    Eike Stepper - maintenance
 */
package org.eclipse.emf.cdo.defs;

import org.eclipse.net4j.util.defs.Def;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc --> A representation of the model object '<em><b>CDO Package Registry Def</b></em>'. <!--
 * end-user-doc -->
 * <p>
 * The following features are supported:
 * <ul>
 * <li>{@link org.eclipse.emf.cdo.defs.CDOPackageRegistryDef#getPackages <em>Packages</em>}</li>
 * </ul>
 * </p>
 * 
 * @see org.eclipse.emf.cdo.defs.CDODefsPackage#getCDOPackageRegistryDef()
 * @model
 * @generated
 */
public interface CDOPackageRegistryDef extends Def
{
  /**
   * Returns the value of the '<em><b>Packages</b></em>' containment reference list. The list contents are of type
   * {@link org.eclipse.emf.cdo.defs.EPackageDef}. <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Packages</em>' containment reference list isn't clear, there really should be more of a
   * description here...
   * </p>
   * <!-- end-user-doc -->
   * 
   * @return the value of the '<em>Packages</em>' containment reference list.
   * @see org.eclipse.emf.cdo.defs.CDODefsPackage#getCDOPackageRegistryDef_Packages()
   * @model containment="true"
   * @generated
   */
  EList<EPackageDef> getPackages();

} // CDOPackageRegistryDef
